Skip to main content
`Ctrl`+`K`

# SNESCompositeAddSNES

Adds another `SNES` to the `SNESCOMPOSITE`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESCompositeAddSNES(SNES snes, SNESType type)

Collective

## Input Parameters

- snes - the `SNES` context of type `SNESCOMPOSITE`

- type - the `SNESType` of the new solver

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCOMPOSITE`, `SNESCompositeGetSNES()`

## Level

developer

## Location

src/snes/impls/composite/snescomposite.c

## Implementations

SNESCompositeAddSNES_Composite() in src/snes/impls/composite/snescomposite.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages